org.apache.solr.util

## Annotation Type RandomizeSSL

-     @Documented
       @Inherited
       @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface RandomizeSSL

  Marker annotation indicating when SSL Randomization should be used for a test class, and if so what the typical odds of using SSL should for that test class.
  See Also:
    `RandomizeSSL.SSLRandomizer.getSSLRandomizerForClass(java.lang.Class)`, `SolrTestCaseJ4.SuppressSSL`

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static double` | `DEFAULT_ODDS`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `double` | `clientAuth` Odds (as ratio relative to 1) that SSL should be selected in a typical run.
    `String` | `reason` Comment to inlcude when logging details of SSL randomization
    `double` | `ssl` Odds (as ratio relative to 1) that SSL should be selected in a typical run.
    `double` | `value` A shorthand option for controlling both `ssl()` and `clientAuth()` with a single numeric value, For example: `@RandomizeSSL(0.5)`.

- - ### Field Detail

    - #### DEFAULT_ODDS

          public static final double DEFAULT_ODDS

  - ### Element Detail

    - #### reason

          public abstract String reason

      Comment to inlcude when logging details of SSL randomization
      Default:
        ""

  - - #### ssl

          public abstract double ssl

      Odds (as ratio relative to 1) that SSL should be selected in a typical run. Must either be betwen 0.0 and 1.0 (inclusively) or NaN in which case a sensible should be used. Actual Odds used for randomization may be higher depending on runner options such as `tests.multiplier` or `tests.nightly`
      See Also:
        `DEFAULT_ODDS`, `LuceneTestCase.TEST_NIGHTLY`, `LuceneTestCase.RANDOM_MULTIPLIER`
      Default:
        0d/0d

  - - #### clientAuth

          public abstract double clientAuth

      Odds (as ratio relative to 1) that SSL should be selected in a typical run. Must either be betwen 0.0 and 1.0 (inclusively) or NaN in which case the effective value of `ssl()` should be used. Actual Odds used for randomization may be higher depending on runner options such as `tests.multiplier` or `tests.nightly`

      NOTE: clientAuth is useless unless ssl is also in used, but we randomize it independently just in case it might find bugs in our test/ssl client code (ie: attempting to use SSL w/client cert to non-ssl servers)

      See Also:
        `DEFAULT_ODDS`, `LuceneTestCase.TEST_NIGHTLY`, `LuceneTestCase.RANDOM_MULTIPLIER`
      Default:
        0d/0d

  - - #### value

          public abstract double value

      A shorthand option for controlling both `ssl()` and `clientAuth()` with a single numeric value, For example: `@RandomizeSSL(0.5)`. Ignored if `ssl()` is set explicitly.
      Default:
        0d/0d

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.